RemoteIdentityRepository
Date: 2016-06-23

com.jcraft.jsch.agentproxy

## Class RemoteIdentityRepository

- java.lang.Object
- - com.jcraft.jsch.agentproxy.RemoteIdentityRepository

- All Implemented Interfaces:
    com.jcraft.jsch.IdentityRepository

      public class RemoteIdentityRepository
      extends java.lang.Object
      implements com.jcraft.jsch.IdentityRepository

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.jcraft.jsch.IdentityRepository

      `com.jcraft.jsch.IdentityRepository.Wrapper`

  - ### Field Summary

    - ### Fields inherited from interface com.jcraft.jsch.IdentityRepository

      `NOTRUNNING, RUNNING, UNAVAILABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteIdentityRepository(Connector connector)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(byte[] identity)`
    `java.util.Vector<com.jcraft.jsch.Identity>` | `getIdentities()`
    `java.lang.String` | `getName()`
    `int` | `getStatus()`
    `boolean` | `remove(byte[] blob)`
    `void` | `removeAll()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteIdentityRepository

          public RemoteIdentityRepository(Connector connector)

  - ### Method Detail

    - #### getIdentities

          public java.util.Vector<com.jcraft.jsch.Identity> getIdentities()

      Specified by:
        `getIdentities` in interface `com.jcraft.jsch.IdentityRepository`

    - #### add

          public boolean add(byte[] identity)

      Specified by:
        `add` in interface `com.jcraft.jsch.IdentityRepository`

    - #### remove

          public boolean remove(byte[] blob)

      Specified by:
        `remove` in interface `com.jcraft.jsch.IdentityRepository`

    - #### removeAll

          public void removeAll()

      Specified by:
        `removeAll` in interface `com.jcraft.jsch.IdentityRepository`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `com.jcraft.jsch.IdentityRepository`

    - #### getStatus

          public int getStatus()

      Specified by:
        `getStatus` in interface `com.jcraft.jsch.IdentityRepository`